artdaq Utilities - Bug #25383

artdaq_daginterface doesn't respect HOSTNAME environment variable/not working with "daq"
network in ICARUS

01/11/2021 06:15 PM - Wesley Ketchum

Status: Closed Start date: 01/11/2021
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: ICARUS Co-Assignees:

Description

Getting a "Permission denied" in ICARUS DAQlnterface when it tries to check for existence of DAQ log files. Believe this is due to
recent change that doesn't use the HOSTNAME environment variable within daginterface, so that it's not ssh'ing over the internal
DAQ network when doing these checks. (Maybe?)

History

#1 - 01/12/2021 12:28 PM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt

- Status changed from New to Resolved

I've put some fixes on artdag-utilities-daqginterface:bugfix/25383_MoreConsistentLocalHostnameChecks, and they resolve the problem for the
mu2edag-data network.

Wes, can you give it a try sometime?

#2 - 02/23/2021 04:00 PM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

The feature branch bugfix/25383_MoreConsistentLocalHostnameChecks was included into the release v3_09_04p1 and tested at the Icarus
test-stand. Servers with multiple network interfaces still need to have the environment variable HOSTNAME defined in order work properly over the
“-daq” or “-priv” network interface.

#3 - 03/19/2021 12:44 PM - Eric Flumerfelt

- Status changed from Reviewed to Closed

Released with v3_09_05
